%define debug_package %{nil}

Name:		libfplist
Version:	20190101
Release:	1%{?dist}
Summary:	Library to support the plist formats
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfplist/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool flex byacc

%description
libfplist is a library to support the plist formats

%package devel
Summary: Header files and libraries for developing applications for libfplist
Group: Development/Libraries
Requires: libfplist = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfplist.

%prep
%setup -q

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfplist.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Tue Jan  1 2019 Lawrence R. Rogers <lrr@cert.org> 20190101-1
* Release 20190101-1
	Version 20190101

* Thu Jan 25 2018 Lawrence R. Rogers <lrr@cert.org> 20180125-1
* Release 20180125-1
	Version 20180125

* Mon Jan  8 2018 Lawrence R. Rogers <lrr@cert.org> 20180108-1
* Release 20180108-1
	Version 20180108

* Mon Jul 10 2017 Joachim Metz <joachim.metz@gmail.com> 20170112-1
- Auto-generated

